<?php
require_once('conexion_servicios.php');

date_default_timezone_set("America/Bogota");

session_start();
					
		if ( isset($_SESSION['usuario']))
        {
  		
			$conexion1 = new mysqli($host, $usuario, $password, $base_datos);		
			$conexion2 = new mysqli($host, $usuario, $password, $base_datos);				
						
			
				$query_atencion = $conexion1->query("SELECT * FROM tblfila where tblfila.EstadoServicio=1 and tblfila.CedulaFunAtencion="."'".$_SESSION['cedula']."'");
			$array_atencion = $query_atencion->fetch_assoc();	
			
			$IdActualizacion=$array_atencion['ID'];	
			$CantidadAtencion=	mysqli_num_rows($query_atencion);			
			
			if ($CantidadAtencion==0)
			{
							
			echo '<script language = javascript>
											alert("Usted no tiene servicios por cerrar")
											self.location = "general.php"
											</script>';
			}
			else
			{
		
		$consulta2= "update  tblfila set EstadoServicio=0, FechaHoraSalida="."'".date("Y-m-d H:i:s")."', Observaciones='".$_POST['observaciones']."' where ID='".$IdActualizacion."'";
			mysqli_query($conexion2, $consulta2);
			
			header("Location: fila_rol.php"); 
		
				
			}
						
			
		}


		else{		
		
					echo '<script language = javascript>
					alert("¡¡¡¡Ud aún no ha iniciado sesión!!!!")
					self.location = "login.php"
					</script>';	
		
			
		}
			




?>

